Skip to content

Get order payment details

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get the payment details of the current user pool order

Method name

ManagementClient.getOrderPayDetail

Request parameters

NameTypeIs it requiredDefault valueDescriptionSample value
orderNostringYes-Order number2022080410062060e26f7fd6b9

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.getOrderPayDetail({
    orderNo: "20220804xxxxxx60e26f7fd6b9",
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: CostGetOrderPayDetailRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. It will be returned when the request fails.
data<a CostGetOrderPayDetailResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "orderNo": "2022080911591337da0aae9660",
    "channelOrderNo": "Mock22e7ecfd-745d-46ad-b563-ef4db5719bfb",
    "paidAmount": "7.9",
    "paidTime": "2022-08-09 11:59:46",
    "paidAccountNo": "62bec1591aeb41ad3f1a6503",
    "payStatus": "3",
    "createTime": "2022-08-09 11:59:20",
    "payType": "Alipay"
  }
}

Data structure

CostGetOrderPayDetail

NameTypeIs it required?DescriptionSample value
orderNostringYesOrder number2022080911591337da0aae9660
channelOrderNostringyeschannel order numberMock22e7ecfd-745d-46ad-b563-ef4db5719bfb
paidAmountstringyeschannel order number7.9
paidTimestringyesPayment time2022-08-09 11:59:46
paidAccountNostringyesPayment account62bec1591aeb41ad3f1a6503
payStatusstringyesPayment status3
createTimestringyesCreation time2022-08-09 11:59:20
payTypestringyesPayment methodAlipay

Agent infrastructure for identity, memory, and web action.